Contenu | Rechercher | Menus

Annonce

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 24/05/2014, à 19:14

Sharcoux

[Résolu] Changements permanents Synaptics sous Ubuntu 14.04

Bonjour,

Je cherche à rendre les options suivantes permanentes pour synaptics :

synclient TapButton2=2
synclient TapButton3=3
synclient TapAndDragGesture=false

J'ai trouvé dans la doc que je dois modifier /etc/X11/xorg.conf, mais ce fichier n'existe pas. En cherchant sur internet, j'ai cru comprendre qu'il fallait modifier "usr/share/X11/xorg.conf.d/50-synaptics.conf" dans lequel j'ai ajouté :

      Option "TapButton2" "2"
      Option "TapButton3" "3"
      Option "TapAndDragGesture" "false"
      Option "SHMConfig" "on"

me donnant :

# Example xorg.conf.d snippet that assigns the touchpad driver
# to all touchpads. See xorg.conf.d(5) for more information on
# InputClass.
# DO NOT EDIT THIS FILE, your distribution will likely overwrite
# it when updating. Copy (and rename) this file into
# /etc/X11/xorg.conf.d first.
# Additional options may be added in the form of
#   Option "OptionName" "value"
#
Section "InputClass"
        Identifier "touchpad catchall"
        Driver "synaptics"
        MatchIsTouchpad "on"
# This option is recommend on all Linux systems using evdev, but cannot be
# enabled by default. See the following link for details:
# http://who-t.blogspot.com/2010/11/how-to-ignore-configuration-errors.html
      MatchDevicePath "/dev/input/event*"
      Option "TapButton2" "2"
      Option "TapButton3" "3"
      Option "TapAndDragGesture" "false"
      Option "SHMConfig" "on"
EndSection

Section "InputClass"
        Identifier "touchpad ignore duplicates"
        MatchIsTouchpad "on"
        MatchOS "Linux"
        MatchDevicePath "/dev/input/mouse*"
        Option "Ignore" "on"
EndSection

# This option enables the bottom right corner to be a right button on
# non-synaptics clickpads.
# This option is only interpreted by clickpads.
Section "InputClass"
        Identifier "Default clickpad buttons"
        MatchDriver "synaptics"
        Option "SoftButtonAreas" "50% 0 82% 0 0 0 0 0"
#       To disable the bottom edge area so the buttons only work as buttons,
#       not for movement, set the AreaBottomEdge
#       Option "AreaBottomEdge" "82%"
EndSection

# This option disables software buttons on Apple touchpads.
# This option is only interpreted by clickpads.
Section "InputClass"
        Identifier "Disable clickpad buttons on Apple touchpads"
        MatchProduct "Apple|bcm5974"
        MatchDriver "synaptics"
        Option "SoftButtonAreas" "0 0 0 0 0 0 0 0"
EndSection

Mais ça ne semble pas marcher. Au redémarrage, le touchpad revient à sa configuration d'origine. Une idée ?

Dernière modification par Sharcoux (Le 27/05/2014, à 09:57)

Hors ligne

#2 Le 24/05/2014, à 21:04

bahoui

Re : [Résolu] Changements permanents Synaptics sous Ubuntu 14.04

salut,

http://doc.ubuntu-fr.org/touchpad regarde le 2.2 pour rendre la modif permanente.


Mettez [résolu] dans le titre quand le problème est réglé (cliquez sur "modifier" dans votre 1er message).

Hors ligne

#3 Le 26/05/2014, à 11:30

Sharcoux

Re : [Résolu] Changements permanents Synaptics sous Ubuntu 14.04

Merci.

Je lis donc :

Vous pouvez intégrer les commandes dans un script de démarrage pour l'appliquer à tous les utilisateurs ou dans Système → Préférences → Applications au démarrage pour chaque session utilisateur.

Je cherche alors comment créer un script de démarrage. Mais là, il semble qu'il y ait pas mal de façon de faire. La plus conseillée semble d'utiliser /etc/init.d/skeleton comme base. J'ouvre donc le fichier :

#! /bin/sh
### BEGIN INIT INFO
# Provides:          skeleton
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Example initscript
# Description:       This file should be used to construct scripts to be
#                    placed in /etc/init.d.
### END INIT INFO

# Author: Foo Bar <foobar@baz.org>
#
# Please remove the "Author" lines above and replace them
# with your own name if you copy and modify this script.

# Do NOT "set -e"

# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Description of the service"
NAME=daemonexecutablename
DAEMON=/usr/sbin/$NAME
DAEMON_ARGS="--options args"
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

#
# Function that starts the daemon/service
#
do_start()
{
	# Return
	#   0 if daemon has been started
	#   1 if daemon was already running
	#   2 if daemon could not be started
	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
		|| return 1
	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
		$DAEMON_ARGS \
		|| return 2
	# Add code here, if necessary, that waits for the process to be ready
	# to handle requests from services started subsequently which depend
	# on this one.  As a last resort, sleep for some time.
}

#
# Function that stops the daemon/service
#
do_stop()
{
	# Return
	#   0 if daemon has been stopped
	#   1 if daemon was already stopped
	#   2 if daemon could not be stopped
	#   other if a failure occurred
	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
	RETVAL="$?"
	[ "$RETVAL" = 2 ] && return 2
	# Wait for children to finish too if this is a daemon that forks
	# and if the daemon is only ever run from this initscript.
	# If the above conditions are not satisfied then add some other code
	# that waits for the process to drop all resources that could be
	# needed by services started subsequently.  A last resort is to
	# sleep for some time.
	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
	[ "$?" = 2 ] && return 2
	# Many daemons don't delete their pidfiles when they exit.
	rm -f $PIDFILE
	return "$RETVAL"
}

#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
	#
	# If the daemon can reload its configuration without
	# restarting (for example, when it is sent a SIGHUP),
	# then implement that here.
	#
	start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
	return 0
}

case "$1" in
  start)
	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
	do_start
	case "$?" in
		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
	esac
	;;
  stop)
	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
	do_stop
	case "$?" in
		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
	esac
	;;
  status)
	status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
	;;
  #reload|force-reload)
	#
	# If do_reload() is not implemented then leave this commented out
	# and leave 'force-reload' as an alias for 'restart'.
	#
	#log_daemon_msg "Reloading $DESC" "$NAME"
	#do_reload
	#log_end_msg $?
	#;;
  restart|force-reload)
	#
	# If the "reload" option is implemented then remove the
	# 'force-reload' alias
	#
	log_daemon_msg "Restarting $DESC" "$NAME"
	do_stop
	case "$?" in
	  0|1)
		do_start
		case "$?" in
			0) log_end_msg 0 ;;
			1) log_end_msg 1 ;; # Old process is still running
			*) log_end_msg 1 ;; # Failed to start
		esac
		;;
	  *)
		# Failed to stop
		log_end_msg 1
		;;
	esac
	;;
  *)
	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
	echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
	exit 3
	;;
esac

:

Et là... Je comprends absolument rien... Je veux juste executer cette ligne :

synclient TapButton2=2 TapButton3=3 TapAndDragGesture=false

Je dois faire quoi ?

Merci !

Hors ligne

#4 Le 26/05/2014, à 12:03

Compte anonymisé

Re : [Résolu] Changements permanents Synaptics sous Ubuntu 14.04

Bonjour,

Perso j'ai créé un fichier /etc/X11/xorg.conf avec dedans :

Section "InputClass"
       Identifier "touchpad"
       Driver "synaptics"
       MatchIsTouchpad "on"
       Option "TapButton1" "1"
       Option "TapButton2" "3"
       Option "TapButton3" "2"
       Option "ClickFinger1" "1"
       Option "ClickFinger2" "3"
       Option "ClickFinger3" "2"
       Option "VertTwoFingerScroll" "on"
       Option "HorizTwoFingerScroll" "on"
EndSection

et ça fonctionne correctement. Après reboot, tu peux vérifier dans /var/log/Xorg.0.log :

[    26.327] (II) LoadModule: "synaptics"
[    26.327] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[    26.328] (II) Module synaptics: vendor="X.Org Foundation"
[    26.328] 	compiled for 1.15.0, module version = 1.7.4
[    26.328] 	Module class: X.Org XInput Driver
[    26.328] 	ABI class: X.Org XInput driver, version 20.0
[    26.328] (II) Using input driver 'synaptics' for 'ETPS/2 Elantech Touchpad'
[    26.328] (**) ETPS/2 Elantech Touchpad: always reports core events
[    26.328] (**) Option "Device" "/dev/input/event4"
[    26.348] (II) synaptics: ETPS/2 Elantech Touchpad: found clickpad property
[    26.348] (--) synaptics: ETPS/2 Elantech Touchpad: x-axis range 0 - 3260 (res 32)
[    26.348] (--) synaptics: ETPS/2 Elantech Touchpad: y-axis range 0 - 2119 (res 32)
[    26.348] (--) synaptics: ETPS/2 Elantech Touchpad: pressure range 0 - 255
[    26.348] (--) synaptics: ETPS/2 Elantech Touchpad: finger width range 0 - 15
[    26.348] (--) synaptics: ETPS/2 Elantech Touchpad: buttons: left double triple
[    26.348] (--) synaptics: ETPS/2 Elantech Touchpad: Vendor 0x2 Product 0xe
[    26.348] (**) Option "VertTwoFingerScroll" "on"
[    26.348] (**) Option "HorizTwoFingerScroll" "on"
[    26.348] (**) Option "TapButton1" "1"
[    26.348] (**) Option "TapButton2" "3"
[    26.348] (**) Option "TapButton3" "2"
[    26.348] (**) Option "ClickFinger1" "1"
[    26.348] (**) Option "ClickFinger2" "3"
[    26.348] (**) Option "ClickFinger3" "2"
[    26.348] (--) synaptics: ETPS/2 Elantech Touchpad: touchpad found
[    26.348] (**) ETPS/2 Elantech Touchpad: always reports core events

#5 Le 27/05/2014, à 05:27

bahoui

Re : [Résolu] Changements permanents Synaptics sous Ubuntu 14.04

plus simple ? http://doc.ubuntu-fr.org/tutoriel/application_demarrage 1.2 en clair tu nommes ta commande et tu rajoutes ta commande synclient TapButton2=2 TapButton3=3 TapAndDragGesture=false  . C'est comme ça que j'ai fais.


Mettez [résolu] dans le titre quand le problème est réglé (cliquez sur "modifier" dans votre 1er message).

Hors ligne

#6 Le 27/05/2014, à 09:57

Sharcoux

Re : [Résolu] Changements permanents Synaptics sous Ubuntu 14.04

Ah ben oui, ça marche comme ça ^^ Merci !!!
Bon, par contre si qqn peut m'expliquer comment il aurait fallu faire par l'autre méthode, ça pourrait toujours servir...

En attendant, problem solved smile

Hors ligne

#7 Le 27/05/2014, à 10:31

Sharcoux

Re : [Résolu] Changements permanents Synaptics sous Ubuntu 14.04

J'ai trouvé, je crois. Il suffit de mettre la ligne dans /etc/rc.local

Hors ligne